Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ObjectFactory

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the org.oasis_open.docs.ws_calendar.ns.soap package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.oasis_open.docs.ws_calendar.ns.soap

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.xml.bind.JAXBElement<AddItemType>`
  `createAddItem(AddItemType value)`
  Create an instance of `JAXBElement``<``AddItemType``>`
  `javax.xml.bind.JAXBElement<AddItemResponseType>`
  `createAddItemResponse(AddItemResponseType value)`
  Create an instance of `JAXBElement``<``AddItemResponseType``>`
  `AddItemResponseType`
  `createAddItemResponseType()`
  Create an instance of `AddItemResponseType`
  `AddItemType`
  `createAddItemType()`
  Create an instance of `AddItemType`
  `javax.xml.bind.JAXBElement<AfterMaxDateTimeType>`
  `createAfterMaxDateTime(AfterMaxDateTimeType value)`
  Create an instance of `JAXBElement``<``AfterMaxDateTimeType``>`
  `AfterMaxDateTimeType`
  `createAfterMaxDateTimeType()`
  Create an instance of `AfterMaxDateTimeType`
  `javax.xml.bind.JAXBElement<AllcompType>`
  `createAllcomp(AllcompType value)`
  Create an instance of `JAXBElement``<``AllcompType``>`
  `AllcompType`
  `createAllcompType()`
  Create an instance of `AllcompType`
  `javax.xml.bind.JAXBElement<AllpropType>`
  `createAllprop(AllpropType value)`
  Create an instance of `JAXBElement``<``AllpropType``>`
  `AllpropType`
  `createAllpropType()`
  Create an instance of `AllpropType`
  `javax.xml.bind.JAXBElement<AnyCompType>`
  `createAnyComp(AnyCompType value)`
  Create an instance of `JAXBElement``<``AnyCompType``>`
  `AnyCompType`
  `createAnyCompType()`
  Create an instance of `AnyCompType`
  `ArrayOfHrefs`
  `createArrayOfHrefs()`
  Create an instance of `ArrayOfHrefs`
  `ArrayOfOperations`
  `createArrayOfOperations()`
  Create an instance of `ArrayOfOperations`
  `ArrayOfResponses`
  `createArrayOfResponses()`
  Create an instance of `ArrayOfResponses`
  `BaseRequestType`
  `createBaseRequestType()`
  Create an instance of `BaseRequestType`
  `javax.xml.bind.JAXBElement<BaseResponseType>`
  `createBaseResponse(BaseResponseType value)`
  Create an instance of `JAXBElement``<``BaseResponseType``>`
  `javax.xml.bind.JAXBElement<BeforeMinDateTimeType>`
  `createBeforeMinDateTime(BeforeMinDateTimeType value)`
  Create an instance of `JAXBElement``<``BeforeMinDateTimeType``>`
  `BeforeMinDateTimeType`
  `createBeforeMinDateTimeType()`
  Create an instance of `BeforeMinDateTimeType`
  `javax.xml.bind.JAXBElement<CalendarAccessFeatureType>`
  `createCalendarAccessFeature(CalendarAccessFeatureType value)`
  Create an instance of `JAXBElement``<``CalendarAccessFeatureType``>`
  `CalendarAccessFeatureType`
  `createCalendarAccessFeatureType()`
  Create an instance of `CalendarAccessFeatureType`
  `javax.xml.bind.JAXBElement<CalendarCollectionType>`
  `createCalendarCollection(CalendarCollectionType value)`
  Create an instance of `JAXBElement``<``CalendarCollectionType``>`
  `CalendarCollectionType`
  `createCalendarCollectionType()`
  Create an instance of `CalendarCollectionType`
  `CalendarDataResponseType`
  `createCalendarDataResponseType()`
  Create an instance of `CalendarDataResponseType`
  `javax.xml.bind.JAXBElement<CalendarMultigetType>`
  `createCalendarMultiget(CalendarMultigetType value)`
  Create an instance of `JAXBElement``<``CalendarMultigetType``>`
  `CalendarMultigetType`
  `createCalendarMultigetType()`
  Create an instance of `CalendarMultigetType`
  `javax.xml.bind.JAXBElement<CalendarQueryType>`
  `createCalendarQuery(CalendarQueryType value)`
  Create an instance of `JAXBElement``<``CalendarQueryType``>`
  `CalendarQueryOrMultigetBaseType`
  `createCalendarQueryOrMultigetBaseType()`
  Create an instance of `CalendarQueryOrMultigetBaseType`
  `javax.xml.bind.JAXBElement<CalendarQueryResponseType>`
  `createCalendarQueryResponse(CalendarQueryResponseType value)`
  Create an instance of `JAXBElement``<``CalendarQueryResponseType``>`
  `CalendarQueryResponseType`
  `createCalendarQueryResponseType()`
  Create an instance of `CalendarQueryResponseType`
  `CalendarQueryType`
  `createCalendarQueryType()`
  Create an instance of `CalendarQueryType`
  `javax.xml.bind.JAXBElement<ChildCollectionType>`
  `createChildCollection(ChildCollectionType value)`
  Create an instance of `JAXBElement``<``ChildCollectionType``>`
  `ChildCollectionType`
  `createChildCollectionType()`
  Create an instance of `ChildCollectionType`
  `javax.xml.bind.JAXBElement<CollectionType>`
  `createCollection(CollectionType value)`
  Create an instance of `JAXBElement``<``CollectionType``>`
  `CollectionType`
  `createCollectionType()`
  Create an instance of `CollectionType`
  `javax.xml.bind.JAXBElement<CompFilterType>`
  `createCompFilter(CompFilterType value)`
  Create an instance of `JAXBElement``<``CompFilterType``>`
  `CompFilterType`
  `createCompFilterType()`
  Create an instance of `CompFilterType`
  `ComponentReferenceType`
  `createComponentReferenceType()`
  Create an instance of `ComponentReferenceType`
  `ComponentSelectionType`
  `createComponentSelectionType()`
  Create an instance of `ComponentSelectionType`
  `ComponentsSelectionType`
  `createComponentsSelectionType()`
  Create an instance of `ComponentsSelectionType`
  `javax.xml.bind.JAXBElement<CreationDateTimeType>`
  `createCreationDateTime(CreationDateTimeType value)`
  Create an instance of `JAXBElement``<``CreationDateTimeType``>`
  `CreationDateTimeType`
  `createCreationDateTimeType()`
  Create an instance of `CreationDateTimeType`
  `DateTimePropertyType`
  `createDateTimePropertyType()`
  Create an instance of `DateTimePropertyType`
  `javax.xml.bind.JAXBElement<DeleteItemType>`
  `createDeleteItem(DeleteItemType value)`
  Create an instance of `JAXBElement``<``DeleteItemType``>`
  `javax.xml.bind.JAXBElement<DeleteItemResponseType>`
  `createDeleteItemResponse(DeleteItemResponseType value)`
  Create an instance of `JAXBElement``<``DeleteItemResponseType``>`
  `DeleteItemResponseType`
  `createDeleteItemResponseType()`
  Create an instance of `DeleteItemResponseType`
  `DeleteItemType`
  `createDeleteItemType()`
  Create an instance of `DeleteItemType`
  `javax.xml.bind.JAXBElement<String>`
  `createDepth(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `javax.xml.bind.JAXBElement<DisplayNameType>`
  `createDisplayName(DisplayNameType value)`
  Create an instance of `JAXBElement``<``DisplayNameType``>`
  `DisplayNameType`
  `createDisplayNameType()`
  Create an instance of `DisplayNameType`
  `javax.xml.bind.JAXBElement<ErrorCodeType>`
  `createError(ErrorCodeType value)`
  Create an instance of `JAXBElement``<``ErrorCodeType``>`
  `ErrorCodeType`
  `createErrorCodeType()`
  Create an instance of `ErrorCodeType`
  `ErrorResponseType`
  `createErrorResponseType()`
  Create an instance of `ErrorResponseType`
  `javax.xml.bind.JAXBElement<ExceedsMaxResourceSizeType>`
  `createExceedsMaxResourceSize(ExceedsMaxResourceSizeType value)`
  Create an instance of `JAXBElement``<``ExceedsMaxResourceSizeType``>`
  `ExceedsMaxResourceSizeType`
  `createExceedsMaxResourceSizeType()`
  Create an instance of `ExceedsMaxResourceSizeType`
  `javax.xml.bind.JAXBElement<ExpandType>`
  `createExpand(ExpandType value)`
  Create an instance of `JAXBElement``<``ExpandType``>`
  `ExpandType`
  `createExpandType()`
  Create an instance of `ExpandType`
  `javax.xml.bind.JAXBElement<FetchItemType>`
  `createFetchItem(FetchItemType value)`
  Create an instance of `JAXBElement``<``FetchItemType``>`
  `javax.xml.bind.JAXBElement<FetchItemResponseType>`
  `createFetchItemResponse(FetchItemResponseType value)`
  Create an instance of `JAXBElement``<``FetchItemResponseType``>`
  `FetchItemResponseType`
  `createFetchItemResponseType()`
  Create an instance of `FetchItemResponseType`
  `FetchItemType`
  `createFetchItemType()`
  Create an instance of `FetchItemType`
  `javax.xml.bind.JAXBElement<FilterType>`
  `createFilter(FilterType value)`
  Create an instance of `JAXBElement``<``FilterType``>`
  `FilterType`
  `createFilterType()`
  Create an instance of `FilterType`
  `javax.xml.bind.JAXBElement<ForbiddenType>`
  `createForbidden(ForbiddenType value)`
  Create an instance of `JAXBElement``<``ForbiddenType``>`
  `ForbiddenType`
  `createForbiddenType()`
  Create an instance of `ForbiddenType`
  `javax.xml.bind.JAXBElement<FreebusyReportType>`
  `createFreebusyReport(FreebusyReportType value)`
  Create an instance of `JAXBElement``<``FreebusyReportType``>`
  `javax.xml.bind.JAXBElement<FreebusyReportResponseType>`
  `createFreebusyReportResponse(FreebusyReportResponseType value)`
  Create an instance of `JAXBElement``<``FreebusyReportResponseType``>`
  `FreebusyReportResponseType`
  `createFreebusyReportResponseType()`
  Create an instance of `FreebusyReportResponseType`
  `FreebusyReportType`
  `createFreebusyReportType()`
  Create an instance of `FreebusyReportType`
  `javax.xml.bind.JAXBElement<GetPropertiesType>`
  `createGetProperties(GetPropertiesType value)`
  Create an instance of `JAXBElement``<``GetPropertiesType``>`
  `GetPropertiesBasePropertyType`
  `createGetPropertiesBasePropertyType()`
  Create an instance of `GetPropertiesBasePropertyType`
  `javax.xml.bind.JAXBElement<GetPropertiesResponseType>`
  `createGetPropertiesResponse(GetPropertiesResponseType value)`
  Create an instance of `JAXBElement``<``GetPropertiesResponseType``>`
  `GetPropertiesResponseType`
  `createGetPropertiesResponseType()`
  Create an instance of `GetPropertiesResponseType`
  `GetPropertiesType`
  `createGetPropertiesType()`
  Create an instance of `GetPropertiesType`
  `javax.xml.bind.JAXBElement<InboxType>`
  `createInbox(InboxType value)`
  Create an instance of `JAXBElement``<``InboxType``>`
  `InboxType`
  `createInboxType()`
  Create an instance of `InboxType`
  `IntegerPropertyType`
  `createIntegerPropertyType()`
  Create an instance of `IntegerPropertyType`
  `javax.xml.bind.JAXBElement<InvalidCalendarCollectionLocationType>`
  `createInvalidCalendarCollectionLocation(InvalidCalendarCollectionLocationType value)`
  Create an instance of `JAXBElement``<``InvalidCalendarCollectionLocationType``>`
  `InvalidCalendarCollectionLocationType`
  `createInvalidCalendarCollectionLocationType()`
  Create an instance of `InvalidCalendarCollectionLocationType`
  `javax.xml.bind.JAXBElement<InvalidCalendarDataType>`
  `createInvalidCalendarData(InvalidCalendarDataType value)`
  Create an instance of `JAXBElement``<``InvalidCalendarDataType``>`
  `InvalidCalendarDataType`
  `createInvalidCalendarDataType()`
  Create an instance of `InvalidCalendarDataType`
  `javax.xml.bind.JAXBElement<InvalidCalendarObjectResourceType>`
  `createInvalidCalendarObjectResource(InvalidCalendarObjectResourceType value)`
  Create an instance of `JAXBElement``<``InvalidCalendarObjectResourceType``>`
  `InvalidCalendarObjectResourceType`
  `createInvalidCalendarObjectResourceType()`
  Create an instance of `InvalidCalendarObjectResourceType`
  `javax.xml.bind.JAXBElement<InvalidFilterType>`
  `createInvalidFilter(InvalidFilterType value)`
  Create an instance of `JAXBElement``<``InvalidFilterType``>`
  `InvalidFilterType`
  `createInvalidFilterType()`
  Create an instance of `InvalidFilterType`
  `javax.xml.bind.JAXBElement<IsNotDefinedType>`
  `createIsNotDefined(IsNotDefinedType value)`
  Create an instance of `JAXBElement``<``IsNotDefinedType``>`
  `IsNotDefinedType`
  `createIsNotDefinedType()`
  Create an instance of `IsNotDefinedType`
  `javax.xml.bind.JAXBElement<LastModifiedDateTimeType>`
  `createLastModifiedDateTime(LastModifiedDateTimeType value)`
  Create an instance of `JAXBElement``<``LastModifiedDateTimeType``>`
  `LastModifiedDateTimeType`
  `createLastModifiedDateTimeType()`
  Create an instance of `LastModifiedDateTimeType`
  `javax.xml.bind.JAXBElement<LimitFreebusySetType>`
  `createLimitFreebusySet(LimitFreebusySetType value)`
  Create an instance of `JAXBElement``<``LimitFreebusySetType``>`
  `LimitFreebusySetType`
  `createLimitFreebusySetType()`
  Create an instance of `LimitFreebusySetType`
  `javax.xml.bind.JAXBElement<LimitRecurrenceSetType>`
  `createLimitRecurrenceSet(LimitRecurrenceSetType value)`
  Create an instance of `JAXBElement``<``LimitRecurrenceSetType``>`
  `LimitRecurrenceSetType`
  `createLimitRecurrenceSetType()`
  Create an instance of `LimitRecurrenceSetType`
  `javax.xml.bind.JAXBElement<MaxAttendeesPerInstanceType>`
  `createMaxAttendeesPerInstance(MaxAttendeesPerInstanceType value)`
  Create an instance of `JAXBElement``<``MaxAttendeesPerInstanceType``>`
  `MaxAttendeesPerInstanceType`
  `createMaxAttendeesPerInstanceType()`
  Create an instance of `MaxAttendeesPerInstanceType`
  `javax.xml.bind.JAXBElement<MaxDateTimeType>`
  `createMaxDateTime(MaxDateTimeType value)`
  Create an instance of `JAXBElement``<``MaxDateTimeType``>`
  `MaxDateTimeType`
  `createMaxDateTimeType()`
  Create an instance of `MaxDateTimeType`
  `javax.xml.bind.JAXBElement<MaxInstancesType>`
  `createMaxInstances(MaxInstancesType value)`
  Create an instance of `JAXBElement``<``MaxInstancesType``>`
  `MaxInstancesType`
  `createMaxInstancesType()`
  Create an instance of `MaxInstancesType`
  `javax.xml.bind.JAXBElement<MaxResourceSizeType>`
  `createMaxResourceSize(MaxResourceSizeType value)`
  Create an instance of `JAXBElement``<``MaxResourceSizeType``>`
  `MaxResourceSizeType`
  `createMaxResourceSizeType()`
  Create an instance of `MaxResourceSizeType`
  `javax.xml.bind.JAXBElement<MinDateTimeType>`
  `createMinDateTime(MinDateTimeType value)`
  Create an instance of `JAXBElement``<``MinDateTimeType``>`
  `MinDateTimeType`
  `createMinDateTimeType()`
  Create an instance of `MinDateTimeType`
  `javax.xml.bind.JAXBElement<MismatchedChangeTokenType>`
  `createMismatchedChangeToken(MismatchedChangeTokenType value)`
  Create an instance of `JAXBElement``<``MismatchedChangeTokenType``>`
  `MismatchedChangeTokenType`
  `createMismatchedChangeTokenType()`
  Create an instance of `MismatchedChangeTokenType`
  `javax.xml.bind.JAXBElement<MissingChangeTokenType>`
  `createMissingChangeToken(MissingChangeTokenType value)`
  Create an instance of `JAXBElement``<``MissingChangeTokenType``>`
  `MissingChangeTokenType`
  `createMissingChangeTokenType()`
  Create an instance of `MissingChangeTokenType`
  `javax.xml.bind.JAXBElement<MultiOpType>`
  `createMultiOp(MultiOpType value)`
  Create an instance of `JAXBElement``<``MultiOpType``>`
  `javax.xml.bind.JAXBElement<MultiOpResponseType>`
  `createMultiOpResponse(MultiOpResponseType value)`
  Create an instance of `JAXBElement``<``MultiOpResponseType``>`
  `MultiOpResponseType`
  `createMultiOpResponseType()`
  Create an instance of `MultiOpResponseType`
  `MultiOpType`
  `createMultiOpType()`
  Create an instance of `MultiOpType`
  `MultistatResponseElementType`
  `createMultistatResponseElementType()`
  Create an instance of `MultistatResponseElementType`
  `MultistatusPropElementType`
  `createMultistatusPropElementType()`
  Create an instance of `MultistatusPropElementType`
  `MultistatusType`
  `createMultistatusType()`
  Create an instance of `MultistatusType`
  `javax.xml.bind.JAXBElement<NotCalendarDataType>`
  `createNotCalendarData(NotCalendarDataType value)`
  Create an instance of `JAXBElement``<``NotCalendarDataType``>`
  `NotCalendarDataType`
  `createNotCalendarDataType()`
  Create an instance of `NotCalendarDataType`
  `javax.xml.bind.JAXBElement<OutboxType>`
  `createOutbox(OutboxType value)`
  Create an instance of `JAXBElement``<``OutboxType``>`
  `OutboxType`
  `createOutboxType()`
  Create an instance of `OutboxType`
  `ParameterReferenceType`
  `createParameterReferenceType()`
  Create an instance of `ParameterReferenceType`
  `ParameterSelectionType`
  `createParameterSelectionType()`
  Create an instance of `ParameterSelectionType`
  `ParametersSelectionType`
  `createParametersSelectionType()`
  Create an instance of `ParametersSelectionType`
  `javax.xml.bind.JAXBElement<ParamFilterType>`
  `createParamFilter(ParamFilterType value)`
  Create an instance of `JAXBElement``<``ParamFilterType``>`
  `ParamFilterType`
  `createParamFilterType()`
  Create an instance of `ParamFilterType`
  `javax.xml.bind.JAXBElement<PartialSuccessType>`
  `createPartialSuccess(PartialSuccessType value)`
  Create an instance of `JAXBElement``<``PartialSuccessType``>`
  `PartialSuccessType`
  `createPartialSuccessType()`
  Create an instance of `PartialSuccessType`
  `javax.xml.bind.JAXBElement<PrincipalHomeType>`
  `createPrincipalHome(PrincipalHomeType value)`
  Create an instance of `JAXBElement``<``PrincipalHomeType``>`
  `PrincipalHomeType`
  `createPrincipalHomeType()`
  Create an instance of `PrincipalHomeType`
  `PropertiesSelectionType`
  `createPropertiesSelectionType()`
  Create an instance of `PropertiesSelectionType`
  `PropertyReferenceType`
  `createPropertyReferenceType()`
  Create an instance of `PropertyReferenceType`
  `PropertySelectionType`
  `createPropertySelectionType()`
  Create an instance of `PropertySelectionType`
  `javax.xml.bind.JAXBElement<PropFilterType>`
  `createPropFilter(PropFilterType value)`
  Create an instance of `JAXBElement``<``PropFilterType``>`
  `PropFilterType`
  `createPropFilterType()`
  Create an instance of `PropFilterType`
  `javax.xml.bind.JAXBElement<PropstatType>`
  `createPropstat(PropstatType value)`
  Create an instance of `JAXBElement``<``PropstatType``>`
  `PropstatType`
  `createPropstatType()`
  Create an instance of `PropstatType`
  `javax.xml.bind.JAXBElement<ResourceDescriptionType>`
  `createResourceDescription(ResourceDescriptionType value)`
  Create an instance of `JAXBElement``<``ResourceDescriptionType``>`
  `ResourceDescriptionType`
  `createResourceDescriptionType()`
  Create an instance of `ResourceDescriptionType`
  `javax.xml.bind.JAXBElement<ResourceOwnerType>`
  `createResourceOwner(ResourceOwnerType value)`
  Create an instance of `JAXBElement``<``ResourceOwnerType``>`
  `ResourceOwnerType`
  `createResourceOwnerType()`
  Create an instance of `ResourceOwnerType`
  `javax.xml.bind.JAXBElement<ResourceTimezoneIdType>`
  `createResourceTimezoneId(ResourceTimezoneIdType value)`
  Create an instance of `JAXBElement``<``ResourceTimezoneIdType``>`
  `ResourceTimezoneIdType`
  `createResourceTimezoneIdType()`
  Create an instance of `ResourceTimezoneIdType`
  `javax.xml.bind.JAXBElement<ResourceTypeType>`
  `createResourceType(ResourceTypeType value)`
  Create an instance of `JAXBElement``<``ResourceTypeType``>`
  `ResourceTypeType`
  `createResourceTypeType()`
  Create an instance of `ResourceTypeType`
  `StringPropertyType`
  `createStringPropertyType()`
  Create an instance of `StringPropertyType`
  `javax.xml.bind.JAXBElement<SupportedCalendarComponentSetType>`
  `createSupportedCalendarComponentSet(SupportedCalendarComponentSetType value)`
  Create an instance of `JAXBElement``<``SupportedCalendarComponentSetType``>`
  `SupportedCalendarComponentSetType`
  `createSupportedCalendarComponentSetType()`
  Create an instance of `SupportedCalendarComponentSetType`
  `javax.xml.bind.JAXBElement<SupportedFeaturesType>`
  `createSupportedFeatures(SupportedFeaturesType value)`
  Create an instance of `JAXBElement``<``SupportedFeaturesType``>`
  `SupportedFeaturesType`
  `createSupportedFeaturesType()`
  Create an instance of `SupportedFeaturesType`
  `SupportedFeatureType`
  `createSupportedFeatureType()`
  Create an instance of `SupportedFeatureType`
  `javax.xml.bind.JAXBElement<TargetDoesNotExistType>`
  `createTargetDoesNotExist(TargetDoesNotExistType value)`
  Create an instance of `JAXBElement``<``TargetDoesNotExistType``>`
  `TargetDoesNotExistType`
  `createTargetDoesNotExistType()`
  Create an instance of `TargetDoesNotExistType`
  `javax.xml.bind.JAXBElement<TargetExistsType>`
  `createTargetExists(TargetExistsType value)`
  Create an instance of `JAXBElement``<``TargetExistsType``>`
  `TargetExistsType`
  `createTargetExistsType()`
  Create an instance of `TargetExistsType`
  `javax.xml.bind.JAXBElement<TargetNotEntityType>`
  `createTargetNotEntity(TargetNotEntityType value)`
  Create an instance of `JAXBElement``<``TargetNotEntityType``>`
  `TargetNotEntityType`
  `createTargetNotEntityType()`
  Create an instance of `TargetNotEntityType`
  `javax.xml.bind.JAXBElement<TextMatchType>`
  `createTextMatch(TextMatchType value)`
  Create an instance of `JAXBElement``<``TextMatchType``>`
  `TextMatchType`
  `createTextMatchType()`
  Create an instance of `TextMatchType`
  `javax.xml.bind.JAXBElement<UTCTimeRangeType>`
  `createTimeRange(UTCTimeRangeType value)`
  Create an instance of `JAXBElement``<``UTCTimeRangeType``>`
  `javax.xml.bind.JAXBElement<TimezoneType>`
  `createTimezone(TimezoneType value)`
  Create an instance of `JAXBElement``<``TimezoneType``>`
  `javax.xml.bind.JAXBElement<TimezoneIdType>`
  `createTimezoneId(TimezoneIdType value)`
  Create an instance of `JAXBElement``<``TimezoneIdType``>`
  `TimezoneIdType`
  `createTimezoneIdType()`
  Create an instance of `TimezoneIdType`
  `javax.xml.bind.JAXBElement<TimezoneServerType>`
  `createTimezoneServer(TimezoneServerType value)`
  Create an instance of `JAXBElement``<``TimezoneServerType``>`
  `TimezoneServerType`
  `createTimezoneServerType()`
  Create an instance of `TimezoneServerType`
  `TimezoneType`
  `createTimezoneType()`
  Create an instance of `TimezoneType`
  `javax.xml.bind.JAXBElement<TooManyAttendeesPerInstanceType>`
  `createTooManyAttendeesPerInstance(TooManyAttendeesPerInstanceType value)`
  Create an instance of `JAXBElement``<``TooManyAttendeesPerInstanceType``>`
  `TooManyAttendeesPerInstanceType`
  `createTooManyAttendeesPerInstanceType()`
  Create an instance of `TooManyAttendeesPerInstanceType`
  `javax.xml.bind.JAXBElement<TooManyInstancesType>`
  `createTooManyInstances(TooManyInstancesType value)`
  Create an instance of `JAXBElement``<``TooManyInstancesType``>`
  `TooManyInstancesType`
  `createTooManyInstancesType()`
  Create an instance of `TooManyInstancesType`
  `javax.xml.bind.JAXBElement<UidConflictType>`
  `createUidConflict(UidConflictType value)`
  Create an instance of `JAXBElement``<``UidConflictType``>`
  `UidConflictType`
  `createUidConflictType()`
  Create an instance of `UidConflictType`
  `javax.xml.bind.JAXBElement<UnsupportedCalendarComponentType>`
  `createUnsupportedCalendarComponent(UnsupportedCalendarComponentType value)`
  Create an instance of `JAXBElement``<``UnsupportedCalendarComponentType``>`
  `UnsupportedCalendarComponentType`
  `createUnsupportedCalendarComponentType()`
  Create an instance of `UnsupportedCalendarComponentType`
  `javax.xml.bind.JAXBElement<UpdateItemType>`
  `createUpdateItem(UpdateItemType value)`
  Create an instance of `JAXBElement``<``UpdateItemType``>`
  `javax.xml.bind.JAXBElement<UpdateItemResponseType>`
  `createUpdateItemResponse(UpdateItemResponseType value)`
  Create an instance of `JAXBElement``<``UpdateItemResponseType``>`
  `UpdateItemResponseType`
  `createUpdateItemResponseType()`
  Create an instance of `UpdateItemResponseType`
  `UpdateItemType`
  `createUpdateItemType()`
  Create an instance of `UpdateItemType`
  `UTCTimeRangeType`
  `createUTCTimeRangeType()`
  Create an instance of `UTCTimeRangeType`
  `javax.xml.bind.JAXBElement<XresourceType>`
  `createXresource(XresourceType value)`
  Create an instance of `JAXBElement``<``XresourceType``>`
  `XresourceType`
  `createXresourceType()`
  Create an instance of `XresourceType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.oasis_open.docs.ws_calendar.ns.soap

- ## Method Details

  - ### createErrorCodeType

    public ErrorCodeType createErrorCodeType()
    Create an instance of `ErrorCodeType`

  - ### createForbiddenType

    public ForbiddenType createForbiddenType()
    Create an instance of `ForbiddenType`

  - ### createTargetExistsType

    public TargetExistsType createTargetExistsType()
    Create an instance of `TargetExistsType`

  - ### createTargetDoesNotExistType

    public TargetDoesNotExistType createTargetDoesNotExistType()
    Create an instance of `TargetDoesNotExistType`

  - ### createTargetNotEntityType

    public TargetNotEntityType createTargetNotEntityType()
    Create an instance of `TargetNotEntityType`

  - ### createNotCalendarDataType

    public NotCalendarDataType createNotCalendarDataType()
    Create an instance of `NotCalendarDataType`

  - ### createInvalidCalendarDataType

    public InvalidCalendarDataType createInvalidCalendarDataType()
    Create an instance of `InvalidCalendarDataType`

  - ### createInvalidCalendarObjectResourceType

    public InvalidCalendarObjectResourceType createInvalidCalendarObjectResourceType()
    Create an instance of `InvalidCalendarObjectResourceType`

  - ### createUnsupportedCalendarComponentType

    public UnsupportedCalendarComponentType createUnsupportedCalendarComponentType()
    Create an instance of `UnsupportedCalendarComponentType`

  - ### createInvalidCalendarCollectionLocationType

    public InvalidCalendarCollectionLocationType createInvalidCalendarCollectionLocationType()
    Create an instance of `InvalidCalendarCollectionLocationType`

  - ### createExceedsMaxResourceSizeType

    public ExceedsMaxResourceSizeType createExceedsMaxResourceSizeType()
    Create an instance of `ExceedsMaxResourceSizeType`

  - ### createBeforeMinDateTimeType

    public BeforeMinDateTimeType createBeforeMinDateTimeType()
    Create an instance of `BeforeMinDateTimeType`

  - ### createAfterMaxDateTimeType

    public AfterMaxDateTimeType createAfterMaxDateTimeType()
    Create an instance of `AfterMaxDateTimeType`

  - ### createTooManyInstancesType

    public TooManyInstancesType createTooManyInstancesType()
    Create an instance of `TooManyInstancesType`

  - ### createTooManyAttendeesPerInstanceType

    public TooManyAttendeesPerInstanceType createTooManyAttendeesPerInstanceType()
    Create an instance of `TooManyAttendeesPerInstanceType`

  - ### createPartialSuccessType

    public PartialSuccessType createPartialSuccessType()
    Create an instance of `PartialSuccessType`

  - ### createMissingChangeTokenType

    public MissingChangeTokenType createMissingChangeTokenType()
    Create an instance of `MissingChangeTokenType`

  - ### createMismatchedChangeTokenType

    public MismatchedChangeTokenType createMismatchedChangeTokenType()
    Create an instance of `MismatchedChangeTokenType`

  - ### createInvalidFilterType

    public InvalidFilterType createInvalidFilterType()
    Create an instance of `InvalidFilterType`

  - ### createUidConflictType

    public UidConflictType createUidConflictType()
    Create an instance of `UidConflictType`

  - ### createAllcompType

    public AllcompType createAllcompType()
    Create an instance of `AllcompType`

  - ### createExpandType

    public ExpandType createExpandType()
    Create an instance of `ExpandType`

  - ### createLimitRecurrenceSetType

    public LimitRecurrenceSetType createLimitRecurrenceSetType()
    Create an instance of `LimitRecurrenceSetType`

  - ### createLimitFreebusySetType

    public LimitFreebusySetType createLimitFreebusySetType()
    Create an instance of `LimitFreebusySetType`

  - ### createTextMatchType

    public TextMatchType createTextMatchType()
    Create an instance of `TextMatchType`

  - ### createIsNotDefinedType

    public IsNotDefinedType createIsNotDefinedType()
    Create an instance of `IsNotDefinedType`

  - ### createTimezoneType

    public TimezoneType createTimezoneType()
    Create an instance of `TimezoneType`

  - ### createTimezoneIdType

    public TimezoneIdType createTimezoneIdType()
    Create an instance of `TimezoneIdType`

  - ### createUTCTimeRangeType

    public UTCTimeRangeType createUTCTimeRangeType()
    Create an instance of `UTCTimeRangeType`

  - ### createParamFilterType

    public ParamFilterType createParamFilterType()
    Create an instance of `ParamFilterType`

  - ### createPropFilterType

    public PropFilterType createPropFilterType()
    Create an instance of `PropFilterType`

  - ### createAnyCompType

    public AnyCompType createAnyCompType()
    Create an instance of `AnyCompType`

  - ### createCompFilterType

    public CompFilterType createCompFilterType()
    Create an instance of `CompFilterType`

  - ### createFilterType

    public FilterType createFilterType()
    Create an instance of `FilterType`

  - ### createGetPropertiesType

    public GetPropertiesType createGetPropertiesType()
    Create an instance of `GetPropertiesType`

  - ### createGetPropertiesResponseType

    public GetPropertiesResponseType createGetPropertiesResponseType()
    Create an instance of `GetPropertiesResponseType`

  - ### createChildCollectionType

    public ChildCollectionType createChildCollectionType()
    Create an instance of `ChildCollectionType`

  - ### createCreationDateTimeType

    public CreationDateTimeType createCreationDateTimeType()
    Create an instance of `CreationDateTimeType`

  - ### createDisplayNameType

    public DisplayNameType createDisplayNameType()
    Create an instance of `DisplayNameType`

  - ### createLastModifiedDateTimeType

    public LastModifiedDateTimeType createLastModifiedDateTimeType()
    Create an instance of `LastModifiedDateTimeType`

  - ### createMaxAttendeesPerInstanceType

    public MaxAttendeesPerInstanceType createMaxAttendeesPerInstanceType()
    Create an instance of `MaxAttendeesPerInstanceType`

  - ### createMaxDateTimeType

    public MaxDateTimeType createMaxDateTimeType()
    Create an instance of `MaxDateTimeType`

  - ### createMaxInstancesType

    public MaxInstancesType createMaxInstancesType()
    Create an instance of `MaxInstancesType`

  - ### createMaxResourceSizeType

    public MaxResourceSizeType createMaxResourceSizeType()
    Create an instance of `MaxResourceSizeType`

  - ### createMinDateTimeType

    public MinDateTimeType createMinDateTimeType()
    Create an instance of `MinDateTimeType`

  - ### createPrincipalHomeType

    public PrincipalHomeType createPrincipalHomeType()
    Create an instance of `PrincipalHomeType`

  - ### createResourceDescriptionType

    public ResourceDescriptionType createResourceDescriptionType()
    Create an instance of `ResourceDescriptionType`

  - ### createResourceOwnerType

    public ResourceOwnerType createResourceOwnerType()
    Create an instance of `ResourceOwnerType`

  - ### createCollectionType

    public CollectionType createCollectionType()
    Create an instance of `CollectionType`

  - ### createCalendarCollectionType

    public CalendarCollectionType createCalendarCollectionType()
    Create an instance of `CalendarCollectionType`

  - ### createInboxType

    public InboxType createInboxType()
    Create an instance of `InboxType`

  - ### createOutboxType

    public OutboxType createOutboxType()
    Create an instance of `OutboxType`

  - ### createXresourceType

    public XresourceType createXresourceType()
    Create an instance of `XresourceType`

  - ### createResourceTypeType

    public ResourceTypeType createResourceTypeType()
    Create an instance of `ResourceTypeType`

  - ### createResourceTimezoneIdType

    public ResourceTimezoneIdType createResourceTimezoneIdType()
    Create an instance of `ResourceTimezoneIdType`

  - ### createSupportedCalendarComponentSetType

    public SupportedCalendarComponentSetType createSupportedCalendarComponentSetType()
    Create an instance of `SupportedCalendarComponentSetType`

  - ### createCalendarAccessFeatureType

    public CalendarAccessFeatureType createCalendarAccessFeatureType()
    Create an instance of `CalendarAccessFeatureType`

  - ### createSupportedFeaturesType

    public SupportedFeaturesType createSupportedFeaturesType()
    Create an instance of `SupportedFeaturesType`

  - ### createTimezoneServerType

    public TimezoneServerType createTimezoneServerType()
    Create an instance of `TimezoneServerType`

  - ### createFreebusyReportType

    public FreebusyReportType createFreebusyReportType()
    Create an instance of `FreebusyReportType`

  - ### createFreebusyReportResponseType

    public FreebusyReportResponseType createFreebusyReportResponseType()
    Create an instance of `FreebusyReportResponseType`

  - ### createAllpropType

    public AllpropType createAllpropType()
    Create an instance of `AllpropType`

  - ### createPropstatType

    public PropstatType createPropstatType()
    Create an instance of `PropstatType`

  - ### createCalendarQueryType

    public CalendarQueryType createCalendarQueryType()
    Create an instance of `CalendarQueryType`

  - ### createCalendarQueryResponseType

    public CalendarQueryResponseType createCalendarQueryResponseType()
    Create an instance of `CalendarQueryResponseType`

  - ### createCalendarMultigetType

    public CalendarMultigetType createCalendarMultigetType()
    Create an instance of `CalendarMultigetType`

  - ### createAddItemType

    public AddItemType createAddItemType()
    Create an instance of `AddItemType`

  - ### createAddItemResponseType

    public AddItemResponseType createAddItemResponseType()
    Create an instance of `AddItemResponseType`

  - ### createFetchItemType

    public FetchItemType createFetchItemType()
    Create an instance of `FetchItemType`

  - ### createFetchItemResponseType

    public FetchItemResponseType createFetchItemResponseType()
    Create an instance of `FetchItemResponseType`

  - ### createDeleteItemType

    public DeleteItemType createDeleteItemType()
    Create an instance of `DeleteItemType`

  - ### createDeleteItemResponseType

    public DeleteItemResponseType createDeleteItemResponseType()
    Create an instance of `DeleteItemResponseType`

  - ### createUpdateItemType

    public UpdateItemType createUpdateItemType()
    Create an instance of `UpdateItemType`

  - ### createUpdateItemResponseType

    public UpdateItemResponseType createUpdateItemResponseType()
    Create an instance of `UpdateItemResponseType`

  - ### createMultiOpType

    public MultiOpType createMultiOpType()
    Create an instance of `MultiOpType`

  - ### createMultiOpResponseType

    public MultiOpResponseType createMultiOpResponseType()
    Create an instance of `MultiOpResponseType`

  - ### createErrorResponseType

    public ErrorResponseType createErrorResponseType()
    Create an instance of `ErrorResponseType`

  - ### createBaseRequestType

    public BaseRequestType createBaseRequestType()
    Create an instance of `BaseRequestType`

  - ### createGetPropertiesBasePropertyType

    public GetPropertiesBasePropertyType createGetPropertiesBasePropertyType()
    Create an instance of `GetPropertiesBasePropertyType`

  - ### createDateTimePropertyType

    public DateTimePropertyType createDateTimePropertyType()
    Create an instance of `DateTimePropertyType`

  - ### createIntegerPropertyType

    public IntegerPropertyType createIntegerPropertyType()
    Create an instance of `IntegerPropertyType`

  - ### createStringPropertyType

    public StringPropertyType createStringPropertyType()
    Create an instance of `StringPropertyType`

  - ### createSupportedFeatureType

    public SupportedFeatureType createSupportedFeatureType()
    Create an instance of `SupportedFeatureType`

  - ### createCalendarDataResponseType

    public CalendarDataResponseType createCalendarDataResponseType()
    Create an instance of `CalendarDataResponseType`

  - ### createMultistatusPropElementType

    public MultistatusPropElementType createMultistatusPropElementType()
    Create an instance of `MultistatusPropElementType`

  - ### createMultistatResponseElementType

    public MultistatResponseElementType createMultistatResponseElementType()
    Create an instance of `MultistatResponseElementType`

  - ### createMultistatusType

    public MultistatusType createMultistatusType()
    Create an instance of `MultistatusType`

  - ### createCalendarQueryOrMultigetBaseType

    public CalendarQueryOrMultigetBaseType createCalendarQueryOrMultigetBaseType()
    Create an instance of `CalendarQueryOrMultigetBaseType`

  - ### createArrayOfHrefs

    public ArrayOfHrefs createArrayOfHrefs()
    Create an instance of `ArrayOfHrefs`

  - ### createComponentsSelectionType

    public ComponentsSelectionType createComponentsSelectionType()
    Create an instance of `ComponentsSelectionType`

  - ### createComponentSelectionType

    public ComponentSelectionType createComponentSelectionType()
    Create an instance of `ComponentSelectionType`

  - ### createComponentReferenceType

    public ComponentReferenceType createComponentReferenceType()
    Create an instance of `ComponentReferenceType`

  - ### createPropertiesSelectionType

    public PropertiesSelectionType createPropertiesSelectionType()
    Create an instance of `PropertiesSelectionType`

  - ### createPropertySelectionType

    public PropertySelectionType createPropertySelectionType()
    Create an instance of `PropertySelectionType`

  - ### createPropertyReferenceType

    public PropertyReferenceType createPropertyReferenceType()
    Create an instance of `PropertyReferenceType`

  - ### createParametersSelectionType

    public ParametersSelectionType createParametersSelectionType()
    Create an instance of `ParametersSelectionType`

  - ### createParameterSelectionType

    public ParameterSelectionType createParameterSelectionType()
    Create an instance of `ParameterSelectionType`

  - ### createParameterReferenceType

    public ParameterReferenceType createParameterReferenceType()
    Create an instance of `ParameterReferenceType`

  - ### createArrayOfOperations

    public ArrayOfOperations createArrayOfOperations()
    Create an instance of `ArrayOfOperations`

  - ### createArrayOfResponses

    public ArrayOfResponses createArrayOfResponses()
    Create an instance of `ArrayOfResponses`

  - ### createError

    public javax.xml.bind.JAXBElement<ErrorCodeType> createError(ErrorCodeType value)
    Create an instance of `JAXBElement``<``ErrorCodeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ErrorCodeType``>`

  - ### createForbidden

    public javax.xml.bind.JAXBElement<ForbiddenType> createForbidden(ForbiddenType value)
    Create an instance of `JAXBElement``<``ForbiddenType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ForbiddenType``>`

  - ### createTargetExists

    public javax.xml.bind.JAXBElement<TargetExistsType> createTargetExists(TargetExistsType value)
    Create an instance of `JAXBElement``<``TargetExistsType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TargetExistsType``>`

  - ### createTargetDoesNotExist

    public javax.xml.bind.JAXBElement<TargetDoesNotExistType> createTargetDoesNotExist(TargetDoesNotExistType value)
    Create an instance of `JAXBElement``<``TargetDoesNotExistType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TargetDoesNotExistType``>`

  - ### createTargetNotEntity

    public javax.xml.bind.JAXBElement<TargetNotEntityType> createTargetNotEntity(TargetNotEntityType value)
    Create an instance of `JAXBElement``<``TargetNotEntityType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TargetNotEntityType``>`

  - ### createNotCalendarData

    public javax.xml.bind.JAXBElement<NotCalendarDataType> createNotCalendarData(NotCalendarDataType value)
    Create an instance of `JAXBElement``<``NotCalendarDataType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``NotCalendarDataType``>`

  - ### createInvalidCalendarData

    public javax.xml.bind.JAXBElement<InvalidCalendarDataType> createInvalidCalendarData(InvalidCalendarDataType value)
    Create an instance of `JAXBElement``<``InvalidCalendarDataType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``InvalidCalendarDataType``>`

  - ### createInvalidCalendarObjectResource

    public javax.xml.bind.JAXBElement<InvalidCalendarObjectResourceType> createInvalidCalendarObjectResource(InvalidCalendarObjectResourceType value)
    Create an instance of `JAXBElement``<``InvalidCalendarObjectResourceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``InvalidCalendarObjectResourceType``>`

  - ### createUnsupportedCalendarComponent

    public javax.xml.bind.JAXBElement<UnsupportedCalendarComponentType> createUnsupportedCalendarComponent(UnsupportedCalendarComponentType value)
    Create an instance of `JAXBElement``<``UnsupportedCalendarComponentType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UnsupportedCalendarComponentType``>`

  - ### createInvalidCalendarCollectionLocation

    public javax.xml.bind.JAXBElement<InvalidCalendarCollectionLocationType> createInvalidCalendarCollectionLocation(InvalidCalendarCollectionLocationType value)
    Create an instance of `JAXBElement``<``InvalidCalendarCollectionLocationType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``InvalidCalendarCollectionLocationType``>`

  - ### createExceedsMaxResourceSize

    public javax.xml.bind.JAXBElement<ExceedsMaxResourceSizeType> createExceedsMaxResourceSize(ExceedsMaxResourceSizeType value)
    Create an instance of `JAXBElement``<``ExceedsMaxResourceSizeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ExceedsMaxResourceSizeType``>`

  - ### createBeforeMinDateTime

    public javax.xml.bind.JAXBElement<BeforeMinDateTimeType> createBeforeMinDateTime(BeforeMinDateTimeType value)
    Create an instance of `JAXBElement``<``BeforeMinDateTimeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``BeforeMinDateTimeType``>`

  - ### createAfterMaxDateTime

    public javax.xml.bind.JAXBElement<AfterMaxDateTimeType> createAfterMaxDateTime(AfterMaxDateTimeType value)
    Create an instance of `JAXBElement``<``AfterMaxDateTimeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AfterMaxDateTimeType``>`

  - ### createTooManyInstances

    public javax.xml.bind.JAXBElement<TooManyInstancesType> createTooManyInstances(TooManyInstancesType value)
    Create an instance of `JAXBElement``<``TooManyInstancesType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TooManyInstancesType``>`

  - ### createTooManyAttendeesPerInstance

    public javax.xml.bind.JAXBElement<TooManyAttendeesPerInstanceType> createTooManyAttendeesPerInstance(TooManyAttendeesPerInstanceType value)
    Create an instance of `JAXBElement``<``TooManyAttendeesPerInstanceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TooManyAttendeesPerInstanceType``>`

  - ### createPartialSuccess

    public javax.xml.bind.JAXBElement<PartialSuccessType> createPartialSuccess(PartialSuccessType value)
    Create an instance of `JAXBElement``<``PartialSuccessType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PartialSuccessType``>`

  - ### createMissingChangeToken

    public javax.xml.bind.JAXBElement<MissingChangeTokenType> createMissingChangeToken(MissingChangeTokenType value)
    Create an instance of `JAXBElement``<``MissingChangeTokenType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MissingChangeTokenType``>`

  - ### createMismatchedChangeToken

    public javax.xml.bind.JAXBElement<MismatchedChangeTokenType> createMismatchedChangeToken(MismatchedChangeTokenType value)
    Create an instance of `JAXBElement``<``MismatchedChangeTokenType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MismatchedChangeTokenType``>`

  - ### createInvalidFilter

    public javax.xml.bind.JAXBElement<InvalidFilterType> createInvalidFilter(InvalidFilterType value)
    Create an instance of `JAXBElement``<``InvalidFilterType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``InvalidFilterType``>`

  - ### createUidConflict

    public javax.xml.bind.JAXBElement<UidConflictType> createUidConflict(UidConflictType value)
    Create an instance of `JAXBElement``<``UidConflictType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UidConflictType``>`

  - ### createAllcomp

    public javax.xml.bind.JAXBElement<AllcompType> createAllcomp(AllcompType value)
    Create an instance of `JAXBElement``<``AllcompType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AllcompType``>`

  - ### createExpand

    public javax.xml.bind.JAXBElement<ExpandType> createExpand(ExpandType value)
    Create an instance of `JAXBElement``<``ExpandType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ExpandType``>`

  - ### createLimitRecurrenceSet

    public javax.xml.bind.JAXBElement<LimitRecurrenceSetType> createLimitRecurrenceSet(LimitRecurrenceSetType value)
    Create an instance of `JAXBElement``<``LimitRecurrenceSetType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LimitRecurrenceSetType``>`

  - ### createLimitFreebusySet

    public javax.xml.bind.JAXBElement<LimitFreebusySetType> createLimitFreebusySet(LimitFreebusySetType value)
    Create an instance of `JAXBElement``<``LimitFreebusySetType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LimitFreebusySetType``>`

  - ### createTextMatch

    public javax.xml.bind.JAXBElement<TextMatchType> createTextMatch(TextMatchType value)
    Create an instance of `JAXBElement``<``TextMatchType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TextMatchType``>`

  - ### createIsNotDefined

    public javax.xml.bind.JAXBElement<IsNotDefinedType> createIsNotDefined(IsNotDefinedType value)
    Create an instance of `JAXBElement``<``IsNotDefinedType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``IsNotDefinedType``>`

  - ### createTimezone

    public javax.xml.bind.JAXBElement<TimezoneType> createTimezone(TimezoneType value)
    Create an instance of `JAXBElement``<``TimezoneType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TimezoneType``>`

  - ### createTimezoneId

    public javax.xml.bind.JAXBElement<TimezoneIdType> createTimezoneId(TimezoneIdType value)
    Create an instance of `JAXBElement``<``TimezoneIdType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TimezoneIdType``>`

  - ### createTimeRange

    public javax.xml.bind.JAXBElement<UTCTimeRangeType> createTimeRange(UTCTimeRangeType value)
    Create an instance of `JAXBElement``<``UTCTimeRangeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UTCTimeRangeType``>`

  - ### createParamFilter

    public javax.xml.bind.JAXBElement<ParamFilterType> createParamFilter(ParamFilterType value)
    Create an instance of `JAXBElement``<``ParamFilterType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ParamFilterType``>`

  - ### createPropFilter

    public javax.xml.bind.JAXBElement<PropFilterType> createPropFilter(PropFilterType value)
    Create an instance of `JAXBElement``<``PropFilterType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PropFilterType``>`

  - ### createAnyComp

    public javax.xml.bind.JAXBElement<AnyCompType> createAnyComp(AnyCompType value)
    Create an instance of `JAXBElement``<``AnyCompType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AnyCompType``>`

  - ### createCompFilter

    public javax.xml.bind.JAXBElement<CompFilterType> createCompFilter(CompFilterType value)
    Create an instance of `JAXBElement``<``CompFilterType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``CompFilterType``>`

  - ### createFilter

    public javax.xml.bind.JAXBElement<FilterType> createFilter(FilterType value)
    Create an instance of `JAXBElement``<``FilterType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``FilterType``>`

  - ### createDepth

    public javax.xml.bind.JAXBElement<String> createDepth(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createBaseResponse

    public javax.xml.bind.JAXBElement<BaseResponseType> createBaseResponse(BaseResponseType value)
    Create an instance of `JAXBElement``<``BaseResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``BaseResponseType``>`

  - ### createGetProperties

    public javax.xml.bind.JAXBElement<GetPropertiesType> createGetProperties(GetPropertiesType value)
    Create an instance of `JAXBElement``<``GetPropertiesType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``GetPropertiesType``>`

  - ### createGetPropertiesResponse

    public javax.xml.bind.JAXBElement<GetPropertiesResponseType> createGetPropertiesResponse(GetPropertiesResponseType value)
    Create an instance of `JAXBElement``<``GetPropertiesResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``GetPropertiesResponseType``>`

  - ### createChildCollection

    public javax.xml.bind.JAXBElement<ChildCollectionType> createChildCollection(ChildCollectionType value)
    Create an instance of `JAXBElement``<``ChildCollectionType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ChildCollectionType``>`

  - ### createCreationDateTime

    public javax.xml.bind.JAXBElement<CreationDateTimeType> createCreationDateTime(CreationDateTimeType value)
    Create an instance of `JAXBElement``<``CreationDateTimeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``CreationDateTimeType``>`

  - ### createDisplayName

    public javax.xml.bind.JAXBElement<DisplayNameType> createDisplayName(DisplayNameType value)
    Create an instance of `JAXBElement``<``DisplayNameType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``DisplayNameType``>`

  - ### createLastModifiedDateTime

    public javax.xml.bind.JAXBElement<LastModifiedDateTimeType> createLastModifiedDateTime(LastModifiedDateTimeType value)
    Create an instance of `JAXBElement``<``LastModifiedDateTimeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LastModifiedDateTimeType``>`

  - ### createMaxAttendeesPerInstance

    public javax.xml.bind.JAXBElement<MaxAttendeesPerInstanceType> createMaxAttendeesPerInstance(MaxAttendeesPerInstanceType value)
    Create an instance of `JAXBElement``<``MaxAttendeesPerInstanceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MaxAttendeesPerInstanceType``>`

  - ### createMaxDateTime

    public javax.xml.bind.JAXBElement<MaxDateTimeType> createMaxDateTime(MaxDateTimeType value)
    Create an instance of `JAXBElement``<``MaxDateTimeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MaxDateTimeType``>`

  - ### createMaxInstances

    public javax.xml.bind.JAXBElement<MaxInstancesType> createMaxInstances(MaxInstancesType value)
    Create an instance of `JAXBElement``<``MaxInstancesType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MaxInstancesType``>`

  - ### createMaxResourceSize

    public javax.xml.bind.JAXBElement<MaxResourceSizeType> createMaxResourceSize(MaxResourceSizeType value)
    Create an instance of `JAXBElement``<``MaxResourceSizeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MaxResourceSizeType``>`

  - ### createMinDateTime

    public javax.xml.bind.JAXBElement<MinDateTimeType> createMinDateTime(MinDateTimeType value)
    Create an instance of `JAXBElement``<``MinDateTimeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MinDateTimeType``>`

  - ### createPrincipalHome

    public javax.xml.bind.JAXBElement<PrincipalHomeType> createPrincipalHome(PrincipalHomeType value)
    Create an instance of `JAXBElement``<``PrincipalHomeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PrincipalHomeType``>`

  - ### createResourceDescription

    public javax.xml.bind.JAXBElement<ResourceDescriptionType> createResourceDescription(ResourceDescriptionType value)
    Create an instance of `JAXBElement``<``ResourceDescriptionType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ResourceDescriptionType``>`

  - ### createResourceOwner

    public javax.xml.bind.JAXBElement<ResourceOwnerType> createResourceOwner(ResourceOwnerType value)
    Create an instance of `JAXBElement``<``ResourceOwnerType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ResourceOwnerType``>`

  - ### createCollection

    public javax.xml.bind.JAXBElement<CollectionType> createCollection(CollectionType value)
    Create an instance of `JAXBElement``<``CollectionType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``CollectionType``>`

  - ### createCalendarCollection

    public javax.xml.bind.JAXBElement<CalendarCollectionType> createCalendarCollection(CalendarCollectionType value)
    Create an instance of `JAXBElement``<``CalendarCollectionType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``CalendarCollectionType``>`

  - ### createInbox

    public javax.xml.bind.JAXBElement<InboxType> createInbox(InboxType value)
    Create an instance of `JAXBElement``<``InboxType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``InboxType``>`

  - ### createOutbox

    public javax.xml.bind.JAXBElement<OutboxType> createOutbox(OutboxType value)
    Create an instance of `JAXBElement``<``OutboxType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``OutboxType``>`

  - ### createXresource

    public javax.xml.bind.JAXBElement<XresourceType> createXresource(XresourceType value)
    Create an instance of `JAXBElement``<``XresourceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``XresourceType``>`

  - ### createResourceType

    public javax.xml.bind.JAXBElement<ResourceTypeType> createResourceType(ResourceTypeType value)
    Create an instance of `JAXBElement``<``ResourceTypeType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ResourceTypeType``>`

  - ### createResourceTimezoneId

    public javax.xml.bind.JAXBElement<ResourceTimezoneIdType> createResourceTimezoneId(ResourceTimezoneIdType value)
    Create an instance of `JAXBElement``<``ResourceTimezoneIdType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ResourceTimezoneIdType``>`

  - ### createSupportedCalendarComponentSet

    public javax.xml.bind.JAXBElement<SupportedCalendarComponentSetType> createSupportedCalendarComponentSet(SupportedCalendarComponentSetType value)
    Create an instance of `JAXBElement``<``SupportedCalendarComponentSetType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SupportedCalendarComponentSetType``>`

  - ### createCalendarAccessFeature

    public javax.xml.bind.JAXBElement<CalendarAccessFeatureType> createCalendarAccessFeature(CalendarAccessFeatureType value)
    Create an instance of `JAXBElement``<``CalendarAccessFeatureType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``CalendarAccessFeatureType``>`

  - ### createSupportedFeatures

    public javax.xml.bind.JAXBElement<SupportedFeaturesType> createSupportedFeatures(SupportedFeaturesType value)
    Create an instance of `JAXBElement``<``SupportedFeaturesType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SupportedFeaturesType``>`

  - ### createTimezoneServer

    public javax.xml.bind.JAXBElement<TimezoneServerType> createTimezoneServer(TimezoneServerType value)
    Create an instance of `JAXBElement``<``TimezoneServerType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``TimezoneServerType``>`

  - ### createFreebusyReport

    public javax.xml.bind.JAXBElement<FreebusyReportType> createFreebusyReport(FreebusyReportType value)
    Create an instance of `JAXBElement``<``FreebusyReportType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``FreebusyReportType``>`

  - ### createFreebusyReportResponse

    public javax.xml.bind.JAXBElement<FreebusyReportResponseType> createFreebusyReportResponse(FreebusyReportResponseType value)
    Create an instance of `JAXBElement``<``FreebusyReportResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``FreebusyReportResponseType``>`

  - ### createAllprop

    public javax.xml.bind.JAXBElement<AllpropType> createAllprop(AllpropType value)
    Create an instance of `JAXBElement``<``AllpropType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AllpropType``>`

  - ### createPropstat

    public javax.xml.bind.JAXBElement<PropstatType> createPropstat(PropstatType value)
    Create an instance of `JAXBElement``<``PropstatType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``PropstatType``>`

  - ### createCalendarQuery

    public javax.xml.bind.JAXBElement<CalendarQueryType> createCalendarQuery(CalendarQueryType value)
    Create an instance of `JAXBElement``<``CalendarQueryType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``CalendarQueryType``>`

  - ### createCalendarQueryResponse

    public javax.xml.bind.JAXBElement<CalendarQueryResponseType> createCalendarQueryResponse(CalendarQueryResponseType value)
    Create an instance of `JAXBElement``<``CalendarQueryResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``CalendarQueryResponseType``>`

  - ### createCalendarMultiget

    public javax.xml.bind.JAXBElement<CalendarMultigetType> createCalendarMultiget(CalendarMultigetType value)
    Create an instance of `JAXBElement``<``CalendarMultigetType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``CalendarMultigetType``>`

  - ### createAddItem

    public javax.xml.bind.JAXBElement<AddItemType> createAddItem(AddItemType value)
    Create an instance of `JAXBElement``<``AddItemType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AddItemType``>`

  - ### createAddItemResponse

    public javax.xml.bind.JAXBElement<AddItemResponseType> createAddItemResponse(AddItemResponseType value)
    Create an instance of `JAXBElement``<``AddItemResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AddItemResponseType``>`

  - ### createFetchItem

    public javax.xml.bind.JAXBElement<FetchItemType> createFetchItem(FetchItemType value)
    Create an instance of `JAXBElement``<``FetchItemType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``FetchItemType``>`

  - ### createFetchItemResponse

    public javax.xml.bind.JAXBElement<FetchItemResponseType> createFetchItemResponse(FetchItemResponseType value)
    Create an instance of `JAXBElement``<``FetchItemResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``FetchItemResponseType``>`

  - ### createDeleteItem

    public javax.xml.bind.JAXBElement<DeleteItemType> createDeleteItem(DeleteItemType value)
    Create an instance of `JAXBElement``<``DeleteItemType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``DeleteItemType``>`

  - ### createDeleteItemResponse

    public javax.xml.bind.JAXBElement<DeleteItemResponseType> createDeleteItemResponse(DeleteItemResponseType value)
    Create an instance of `JAXBElement``<``DeleteItemResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``DeleteItemResponseType``>`

  - ### createUpdateItem

    public javax.xml.bind.JAXBElement<UpdateItemType> createUpdateItem(UpdateItemType value)
    Create an instance of `JAXBElement``<``UpdateItemType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UpdateItemType``>`

  - ### createUpdateItemResponse

    public javax.xml.bind.JAXBElement<UpdateItemResponseType> createUpdateItemResponse(UpdateItemResponseType value)
    Create an instance of `JAXBElement``<``UpdateItemResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UpdateItemResponseType``>`

  - ### createMultiOp

    public javax.xml.bind.JAXBElement<MultiOpType> createMultiOp(MultiOpType value)
    Create an instance of `JAXBElement``<``MultiOpType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MultiOpType``>`

  - ### createMultiOpResponse

    public javax.xml.bind.JAXBElement<MultiOpResponseType> createMultiOpResponse(MultiOpResponseType value)
    Create an instance of `JAXBElement``<``MultiOpResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``MultiOpResponseType``>`